Consumer Credit Reporting
Share Single Consumer data (HTTP POST) to the DLN​
POST https://dev.creditchek.africa/v1/dln/consumer/dataSubmission
This endpoint allows only a single object at a time. It is suggested you integrate this endpoint into your application at the point of loan disbursement(and approval) or whenever there's a change in your borrower performance(or repayments) or account status. You can also rely on CreditCheks Global Standing Mandate Direct Debit to handle the auto-reporting through out the loan lifecyle while still automating direct debit collection for your business.
Spectrum turns industry-wide credit activity into your competitive advantage. When a borrower is actively shopping multiple lenders simultaneously, you'll know — and you'll have the actionable data to decline, adjust, or price accordingly before the risk lands on your books.
Request Parameters​
| Name | Position | Required | Description |
|---|---|---|---|
| token | Headers | True | app secret key |
| BVN | Body | True | borrower BVN |
| customerId | Body | True | borrower customerId |
| lastName | Body | True | borrower last name |
| firstName | Body | True | borrower first name |
| addressLine1 | Body | True | borrower address line 1 |
| addressLine2 | Body | False | borrower address line 2 |
| city | Body | True | borrower city |
| state | Body | True | borrower state |
| country | Body | True | borrower country |
| maritalStatus | Body | True | borrower marital status |
| employmentStatus | Body | True | borrower employment status |
| occupation | Body | True | borrower occupation |
| businessSector | Body | True | borrower business sector |
| NIN | Body | False | borrower NIN |
| dateOfBirth | Body | True | borrower date of birth |
| address | Body | True | borrower address |
| phoneNumber | Body | True | borrower phone number |
| Body | True | borrower email | |
| gender | Body | True | borrower gender |
| dateOpened | Body | True | date opened |
| loanAmount | Body | True | loan amount |
| outstandingBalance | Body | True | outstanding balance |
| overdueAmount | Body | True | overdue amount |
| daysInArrears | Body | True | days in arrears |
| lastPaymentAmount | Body | True | last payment amount |
| maturityDate | Body | True | maturity date |
| minimumInstallment | Body | True | minimum installment |
| nextDueDate | Body | False | next due date |
| loanDuration | Body | True | loan duration |
| lastPaymentDate | Body | True | last payment date |
| purpose | Body | False | loan purpose |
| collateral | Body | True | collateral |
| collateralType | Body | False | collateral type |
| collateralDetails | Body | False | collateral details |
| repaymentFrequency | Body | True | repayment frequency |
| accountDescription | Body | False | account description |
| currency | Body | False | currency |
| accountName | Body | True | account name |
| accountType | Body | True | account type |
| accountStatus | Body | True | account status |
| accountNumber | Body | True | account number |
| accountStatusDate | Body | True | account status date |
| nationality | Body | True | borrower nationality |
| legalChallengeStatus | Body | True | legal challenge status |
| consentStatus | Body | True | consent status |
| guarantor | Body | True | guarantor |
| guarantorType | Body | Conditional | guarantor type |
| guarantorDOBorDateOfIncorporation | Body | Conditional | guarantor date of birth or date of incorporation |
| guarantorFirstName | Body | Conditional | guarantor first name |
| guarantorLastName | Body | Conditional | guarantor last name |
| guarantorGender | Body | Conditional | guarantor gender |
| guarantorPhoneNumber | Body | Conditional | guarantor phone number |
| guarantorAddressLine1 | Body | Conditional | guarantor address line 1 |
| guarantorCity | Body | Conditional | guarantor city |
| guarantorState | Body | Conditional | guarantor state |
| guarantorCountry | Body | Conditional | guarantor country |
| guarantorBVN | Body | Conditional | guarantor BVN |
Enum values for the accountType field
("Commercial Overdraft",
"Commercial Credit Card Loan",
"Commercial revolving renewable short-term credit",
"Commercial mortgage loan including mortgage re-financing",
"Commercial rent facility",
"Commercial Land purchase financing",
"Commercial/Business Auto Loan",
"Commercial/Business equipment asset/leasing/financing",
"Commercial/Business fixed term loan",
"Foreign-denominated commercial loan",
"Commercial investment loan",
"Local Purchase Order (LPO)/supply contract financing",
"Distributor/supplier credit finance",
"Invoice discounting/account receivable/Warehouse receipt finance",
"Oil and Gas contract finance",
"Project Financing,/Long-term infrastructure, Industrial, Public Service finance, Non-Recourse Debt, Non-Recourse Finance",
"Build-Operate-Transfer (BOT) Contract/Finance",
"Banker's acceptance facility",
"Commercial paper",
"International trade finance /Letter of Credit",
"Import Finance/Stock replacement facility",
"Export Finance",
"Bond and guarantees (bid bonds, Customs & Excise bonds, Advance payment guarantee, performance bonds, etc.",
"Loan syndication; Competitive Bid Option",
"Business travel loan",
"Business agriculture finance",
"Treasury bills",
"Government-backed loan",
"Microfinance or small proprietor loan",
"Personal Overdraft",
"Personal Credit Card Loan",
"Personal agriculture finance",
"Personal secured loan",
"Personal home mortgage including mortgage refinance",
"Residential rent facility",
"Personal land purchase financing",
"National Housing Fund Loan",
"Personal Auto Loan",
"Personal/consumer equipment/asset hire purchase/leasing/financing",
"Personal fixed term loan",
"Payday Loan or salary advance",
"Personal bullet or one-time loan payment",
"Foreign-denominated personal loan",
"Personal investment loan",
"Education or student loan",
"Shares acquisition/purchase or margin loan",
"Personal travel or vacation loan");
---
curl --location 'https://dev.creditchek.africa/v1/dln/consumer/dataSubmission' \
--header 'token: JWR6t1qp8UcHrGVFyTPhrIWyayH+8eUQFSDkLih6lA2KXGo4CzGUx/zqPc8uhksb' \
--data-raw '{
"BVN": "11111111111",
"customerId": "62f1d3863518a3e04bbc6aaf",
"lastName": "Sample",
"firstName": "Test",
"dateOfBirth": "07/11/1998",
"addressLine1": "35 Adeola odeku",
"addressLine2": "off Idejo",
"city": "Ikeja",
"state": "Lagos",
"country": "Nigeria",
"maritalStatus": "single",
"employmentStatus": "employed",
"occupation": "student",
"businessSector": "Education",
"phoneNumber": "08023151310",
"email": "[email protected]",
"gender": "Male",
"accountNumber": "0128456407",
"accountName": "Isaac John",
"accountStatusDate": "03/05/2022",
"dateOpened": "13/05/2022",
"loanAmount": 73150,
"lastPaymentDate": "22/06/2022",
"outstandingBalance": 20,
"overdueAmount": 2500,
"daysInArrears": 0,
"minimumInstallment": 19000,
"lastPaymentAmount": 450,
"collateral": "Yes",
"collateralType": "Cash",
"guarantor": "Yes",
"guarantorType": "individual",
"guarantorDOBorDateOfIncorporation": "12/07/2002",
"guarantorFirstName": "Guator",
"guarantorLastName": "Testor",
"guarantorGender": "male",
"guarantorPhoneNumber": "08173902223",
"guarantorAddressLine1": "34 Kalu street",
"guarantorCity": "Algiers",
"guarantorState": "Lagos",
"guarantorCountry": "Nigeria",
"guarantorBVN": "10923874652",
"nextDueDate": "13/12/2022",
"maturityDate": "30/06/2023",
"loanDuration": "6 months",
"purpose": "Tuition",
"repaymentFrequency": "monthly",
"accountDescription": "Creditchek user account",
"currency": "NGN",
"accountStatus": "Open",
"nationality": "Nigeria",
"legalChallengeStatus": "No",
"consentStatus": "Yes"
}'
---
{
"status": true,
"data": {},
"message": "ledger updated successfully",
"error": false
}